Get Ticket Details ReportAsk AIget https://app.trengo.com/api/v2/reporting/details/ticketThis endpoint returns a report of all the tickets that you have in Trengo.Query Paramspageint32Since the response is paginated, if you're willing to get the other pages result, you need to set this parameter up!sort_bystringYou can sort the result based on one of the following metrics, 'first_resolution_time_opening_hours', 'first_resolution_time', 'first_response_time_opening_hours', 'first_response_time', 'total_resolution_time_opening_hours', 'total_resolution_time', 'created_at', 'assigned_at', or 'closed_at'.sort_orderstringThe order of the sorting could be set by either 'asc', or 'desc'.team_ids[]array of int32sYou can filter the result based on the provided team ids.team_ids[]ADD int32channel_ids[]array of int32sYou can filter the result based on the provided channel ids.channel_ids[]ADD int32label_ids[]array of int32sYou can filter the result based on the provided team ids.label_ids[]ADD int32directionstringYou can filter the result based on the provided direction which could be either 'INBOUND', or 'OUTBOUND'..statuses[]array of stringsYou can filter the result based on the provided statuses which could be 'OPEN', 'ASSIGNED', 'CLOSED', or 'INVALID'.statuses[]ADD stringcreated_start_datestringDefaults to 2024-01-01T00%3A00%3A00%2B01%3A00The creation start date that would apply on the data you're looking for, the acceptable format is ISO 8601. It has to be provided in combination with created_end_date.created_end_datestringDefaults to 2024-01-05T00%3A00%3A00%2B01%3A00The creation end date that would apply on the data you're looking for, the acceptable format is ISO 8601. It has to be provided in combination with created_start_date.closed_start_datestringDefaults to 2024-01-01T00%3A00%3A00%2B01%3A00The closing end date that would apply on the data you're looking for, the acceptable format is ISO 8601. It has to be provided in combination with closed_end_date.closed_end_datestringDefaults to 2024-01-05T00%3A00%3A00%2B01%3A00The closing end date that would apply on the data you're looking for, the acceptable format is ISO 8601. It has to be provided in combination with closed_start_date.assigned_start_datestringDefaults to 2024-01-01T00%3A00%3A00%2B01%3A00The assignation end date that would apply on the data you're looking for, the acceptable format is ISO 8601. It has to be provided in combination with assigned_end_date.assigned_end_datestringDefaults to 2024-01-05T00%3A00%3A00%2B01%3A00The assignation end date that would apply on the data you're looking for, the acceptable format is ISO 8601. It has to be provided in combination with assigned_start_date.start_after_ticket_idstringThis parameter could be used to replace the page query param, that would solve the limitation for customers with huge amount of tickets.Response 200200Updated 10 months ago